%global         momorel 1

Name:           perl-Devel-StackTrace
Version:        1.34
Release:        %{momorel}m%{?dist}
Epoch:          1
Summary:        Object representing a stack trace
License:        "Artistic 2.0"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-StackTrace/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/Devel-StackTrace-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-base
BuildRequires:  perl-Cwd
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Scalar-Util
BuildRequires:  perl-Test-Simple >= 0.88
Requires:       perl-Cwd
Requires:       perl-Scalar-Util
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
The Devel::StackTrace module contains two classes, Devel::StackTrace and
Devel::StackTrace::Frame. The goal of this object is to encapsulate the
information that can found through using the caller() function, as well as
providing a simple interface to this data.

%prep
%setup -q -n Devel-StackTrace-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/Devel/StackTrace.pm
%{perl_vendorlib}/Devel/StackTrace
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.34-1m)
- rebuild against perl-5.20.0
- update to 1.34

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.31-1m)
- update to 1.31
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.30-4m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.30-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.30-2m)
- rebuild against perl-5.16.3

* Wed Nov 21 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.30-1m)
- update to 1.30

* Sat Nov 17 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.29-1m)
- update to 1.29

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.27-8m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.27-7m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.27-6m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.27-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.27-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.27-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1:1.27-2m)
- rebuild for new GCC 4.6

* Mon Jan 17 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.27-1m)
- update to 1.27

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1:1.26-2m)
- rebuild for new GCC 4.5

* Sat Oct 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.26-1m)
- update to 1.26

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.25-3m)
- rebuild against perl-5.12.2

* Wed Sep 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1:1.25-2m)
- revive Epoch: 1

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.25-1m)
- update to 1.25
- Specfile re-generated by cpanspec 1.78.

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1:1.22-8m)
- full rebuild for mo7 release

* Thu Aug 19 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1:1.22-7m)
- add epoch to %%changelog

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.22-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.22-5m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.22-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1:1.22-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.22-2m)
- rebuild against perl-5.10.1

* Tue Aug  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.22-1m)
- update to 1.22

* Wed Jul 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1:1.20-3m)
- add Epoch: 1 to enable upgrading from STABLE_5
- DO NOT REMOVE Epoch FOREVER

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.20-2m)
- rebuild against rpm-4.6

* Tue Oct 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1902-1m)
- update to 1.1902

* Sat Jun 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1901-1m)
- update to 1.1901

* Sat Jun 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-1m)
- update to 1.19

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.18-2m)
- rebuild against gcc43

* Wed Apr  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.18-1m)
- update to 1.18

* Tue Apr  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-1m)
- update to 1.17

* Sun Jan  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 1.16

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.15-1m)
- update to 1.15

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.14-2m)
- use vendor

* Sun Apr  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.14-1m)
- update to 1.14

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.13-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
